package org.apache.xerces.xni;

public interface XMLAttributes {
  int getLength();
  
  void removeAllAttributes();
  
  void removeAttributeAt(int paramInt);
  
  boolean isSpecified(int paramInt);
  
  void setSpecified(int paramInt, boolean paramBoolean);
  
  String getLocalName(int paramInt);
  
  String getNonNormalizedValue(int paramInt);
  
  String getPrefix(int paramInt);
  
  String getQName(int paramInt);
  
  String getType(int paramInt);
  
  String getURI(int paramInt);
  
  String getValue(int paramInt);
  
  void setNonNormalizedValue(int paramInt, String paramString);
  
  void setType(int paramInt, String paramString);
  
  void setValue(int paramInt, String paramString);
  
  int getIndex(String paramString);
  
  Augmentations getAugmentations(int paramInt);
  
  void setAugmentations(int paramInt, Augmentations paramAugmentations);
  
  void getName(int paramInt, QName paramQName);
  
  void setName(int paramInt, QName paramQName);
  
  String getType(String paramString);
  
  String getValue(String paramString);
  
  int getIndex(String paramString1, String paramString2);
  
  Augmentations getAugmentations(String paramString);
  
  String getType(String paramString1, String paramString2);
  
  String getValue(String paramString1, String paramString2);
  
  int addAttribute(QName paramQName, String paramString1, String paramString2);
  
  Augmentations getAugmentations(String paramString1, String paramString2);
}
